Subject: Re: [PATCH net-next v2 0/2] r8169: add support for RTL8127ATF (10G Fiber SFP)

From: Jakub Kicinski <[email-masked]>
Date: Sat, 10 Jan 2026 10:48:59 -0800

On Sat, 10 Jan 2026 16:12:30 +0100 Heiner Kallweit wrote:
> RTL8127ATF supports a SFP+ port for fiber modules (10GBASE-SR/LR/ER/ZR and
> DAC). The list of supported modes was provided by Realtek. According to the
> r8127 vendor driver also 1G modules are supported, but this needs some more
> complexity in the driver, and only 10G mode has been tested so far.
> Therefore mainline support will be limited to 10G for now.
> The SFP port signals are hidden in the chip IP and driven by firmware.
> Therefore mainline SFP support can't be used here.
> The PHY driver is used by the RTL8127ATF support in r8169.
> RTL8127ATF reports the same PHY ID as the TP version. Therefore use a dummy
> PHY ID.

Hi Heiner!

This series silently conflicts with Daniel's changes. I wasn't clear
whether the conclusion here:
https://lore.kernel.org/all/[email-masked]/
is that we shouldn't remove the define or Daniel's changes are good 
to go in.. Could y'all spell out for me what you expect?